xfsettingsd crashed with SIGSEGV

Bug #1837071 reported by Thomas A. F. Thorne on 2019-07-18
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Xfce4 Settings
Fix Released
Medium
xfce4-settings (Ubuntu)
Medium
Unassigned

Bug Description

Crashed whil trying to setup VNC from Windows into Ubuntu.

ProblemType: Crash
DistroRelease: Ubuntu 18.04
Package: xfce4-settings 4.12.4-0ubuntu0.18.04.1
ProcVersionSignature: Ubuntu 4.15.0-45.48-generic 4.15.18
Uname: Linux 4.15.0-45-generic x86_64
NonfreeKernelModules: lkp_Ubuntu_4_15_0_45_48_generic_51
ApportVersion: 2.20.9-0ubuntu7.5
Architecture: amd64
CrashCounter: 1
CurrentDesktop: ubuntu:GNOME
Date: Thu Jul 18 16:27:11 2019
ExecutablePath: /usr/bin/xfsettingsd
InstallationDate: Installed on 2017-11-16 (609 days ago)
InstallationMedia: Ubuntu 16.04.3 LTS "Xenial Xerus" - Release amd64 (20170801)
ProcCmdline: xfsettingsd
SegvAnalysis:
 Segfault happened at: 0x7f0f6a3a9337: mov 0x18(%rdx),%rax
 PC (0x7f0f6a3a9337) ok
 source "0x18(%rdx)" (0x00000018) not located in a known VMA region (needed readable region)!
 destination "%rax" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: xfce4-settings
StacktraceTop:
 () at /usr/lib/x86_64-linux-gnu/libxklavier.so.16
 ()
 g_type_create_instance () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
 () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
 g_object_new_with_properties () at /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
Title: xfsettingsd crashed with SIGSEGV
UpgradeStatus: Upgraded to bionic on 2018-07-27 (356 days ago)
UserGroups: adm cdrom dialout dip docker lpadmin plugdev sambashare sudo wireshark

Thomas A. F. Thorne (tafthorne) wrote :

StacktraceTop:
 xkl_config_rec_get_full_from_server (rules_file_out=rules_file_out@entry=0x0, data=0x7f0f540056c0, engine=0x0) at xklavier_props.c:182
 xkl_config_rec_get_from_server (data=<optimized out>, engine=<optimized out>) at xklavier_props.c:273
 xfce_keyboard_layout_helper_init (helper=0x558400e2d850) at keyboard-layout.c:121
 g_type_create_instance () from /tmp/apport_sandbox_0a5dkvl4/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
 ?? () from /tmp/apport_sandbox_0a5dkvl4/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0

Changed in xfce4-settings (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
information type: Private → Public

In my case xfsettingsd results segfault during the session startup:

[Tue Oct 8 11:14:22 2019] xfsettingsd[2538]: segfault at 18 ip 00007fc318301f2d sp 00007ffdcfc9f2d0 error 4 in libxklavier.so.16.4.0[7fc3182f7000+d000]
[Tue Oct 8 11:14:22 2019] Code: 48 89 45 28 48 c1 e2 03 4a 8d 7c e0 08 e8 eb 51 ff ff e9 1e fe ff ff e8 11 5a ff ff 90 41 54 48 89 d1 49 89 fc 55 48 89 f5 53 <48> 8b 42 18 48 89 d3 48 89 fa 48 89 ef 48 8b b0 28 01 00 00 e8 0a
[Tue Oct 8 11:14:22 2019] traps: light-locker[2510] trap int3 ip:7f017b666c75 sp:7fff462b5400 error:0 in libglib-2.0.so.0.5800.3[7f017b62e000+7e000]

When I start xfsettingsd afterwards from xterm, it starts and functions correctly. I have difficulty capturing the backtrace with gdb unless somebody can give a hint how to do it. I have added

export XFSETTINGSD_DEBUG=1
ulimit -c unlimited
/etc/X11/Xsession

to ./.vnc/xstartup but it does not generate a core dump :(

Additional info:

* Debian Buster, uname: 4.19.0-6-amd64 #1 SMP Debian 4.19.67-2+deb10u1 (2019-09-20) x86_64 GNU/Linux
* xfce4-settings:amd64 v4.12.4-1
* libxklavier16:amd64 v5.4-4
* Xfce is running under tightvncserver.

Backtrace:

Stack trace of thread 2513:
#0 0x00007ff6195b4f2d n/a (libxklavier.so.16)
#1 0x000055f59a9c9b15 n/a (xfsettingsd)
#2 0x00007ff618dec107 g_type_create_instance (libgobject-2.0.so.0)
#3 0x00007ff618dce548 n/a (libgobject-2.0.so.0)
#4 0x00007ff618dcfcc5 g_object_new_with_properties (libgobject-2.0.so.0)
#5 0x00007ff618dd0731 g_object_new (libgobject-2.0.so.0)
#6 0x000055f59a9c584c n/a (xfsettingsd)
#7 0x00007ff618ad909b __libc_start_main (libc.so.6)
#8 0x000055f59a9c5ada n/a (xfsettingsd)

It matches one provided in above mentioned bug (I've compared with https://launchpadlibrarian.net/433653979/Stacktrace.txt).

In , Gitbot (gitbot) wrote :

Sean Davis referenced this bugreport in commit b73852916f1b9f47466dd2d1c22c433ae3ee4528

Handle failure to get Xkl engine for display (bug #16017)

https://git.xfce.org/xfce/xfce4-settings/commit?id=b73852916f1b9f47466dd2d1c22c433ae3ee4528

In , Gitbot (gitbot) wrote :

Sean Davis referenced this bugreport in commit 9fc73425ab3bea380872bac813ce45890b4070d6

Handle failure to get Xkl engine for display (bug #16017)

https://git.xfce.org/xfce/xfce4-settings/commit?id=9fc73425ab3bea380872bac813ce45890b4070d6

The above commits (xfce-4.14 and master) should resolve this error. This issue came down to xkl_engine_get_instance occasionally returning NULL, but the rest of the code assumed it was always successful. If possible, please test this and let us know if you see any other issues.

Changed in xfce4-settings:
importance: Unknown → Medium
status: Unknown → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfce4-settings - 4.14.3-0ubuntu1

---------------
xfce4-settings (4.14.3-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release.
    - Fixes xfsettingsd crash with VNC (LP: #1837071)

 -- Sean Davis <email address hidden> Sun, 12 Apr 2020 12:15:12 -0400

Changed in xfce4-settings (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related blueprints

Remote bug watches

Bug watches keep track of this bug in other bug trackers.